## ocaml-samplerate 0.1.6

=== Makefile ===
all:
	@dune build

test:
	@dune runtest

doc:
	@dune build @doc

## ocaml-samplerate 0.1.4

=== debian/changelog ===
ocaml-samplerate (0.1.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove Samuel and Romain from Uploaders
  * Update Homepage and debian/watch
  * Update Vcs-* to point to salsa
  * Switch source package format to 3.0 (quilt)
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2020 08:28:25 +0200

ocaml-samplerate (0.1.2-2) unstable; urgency=low

  * Upload to unstable

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:17:24 -0500

ocaml-samplerate (0.1.2-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.
  * Bumped standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Apr 2013 22:03:02 -0500

ocaml-samplerate (0.1.1-1) unstable; urgency=low

  [ Stephane Glondu ]
  * Use ocaml.mk as a CDBS "rules" file (Closes: #549804)

  [ Romain Beauxis ]
  * New upstream release.
  * Switched to new automatic dependency system.
  * Changed section to ocaml.
  * Bumped standards version to 3.8.3
  * Fixed Vcs-* fields.
  * Added doc-base registration.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 17:25:41 -0500

ocaml-samplerate (0.1.0-1) unstable; urgency=low

  * Initial upload to unstable (Closes: #515811)

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 06 Mar 2009 19:12:41 +0100

=== debian/control ===
Source: ocaml-samplerate
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 dh-ocaml,
 libsamplerate-dev,
 ocaml-findlib,
 pkg-config
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/savonet/ocaml-samplerate
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-samplerate.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-samplerate

Package: libsamplerate-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the samplerate library
 This package provied an interface to the samplerate library for
 OCaml programmers.
 .
 libsamplerate assist in development of programs for audio rate
 conversion.
 .
 This package contains only the shared runtime stub libraries.

Package: libsamplerate-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libsamplerate-dev,
         libsamplerate-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the samplerate library
 This package provied an interface to the samplerate library for
 OCaml programmers.
 .
 libsamplerate assist in development of programs for audio rate
 conversion.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-samplerate.

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-samplerate/releases .*ocaml-samplerate-([0-9.]+)\.tar\.gz

## ocaml-samplerate 0.1.6

=== debian/changelog ===
ocaml-samplerate (0.1.6-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Nov 2021 13:44:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  ocaml-nox,
  dh-ocaml,
  libsamplerate-dev,
- ocaml-findlib,
+ ocaml-dune,
+ libdune-ocaml-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-samplerate
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-samplerate.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p samplerate

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-samplerate/releases .*/tags/v?([0-9.]+)\.tar\.gz
